Subject: making client app SSL-capable

From: "Petryczka, George" <[email-masked]>
Date: Thu, 9 May 2002 17:25:10 -0400

My need is to have my client app  (written in C)  that writes to an HTTP
server currently, get "converted" somehow so it can write instead to an
HTTPS server app.  (Read back responses need not be SSL by the way - only
the sent requests.)  What's a good way to do this?

  Can i interpose an httpd that collects the output from my client and
somehow forwards this to the destination with encryption turned on?  Or do I
use some sort of wrapper app?  Or (ugh!) does my app have to be rewritten?

-george
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]